package config

import (
	"github.com/knadh/koanf"
	"github.com/knadh/koanf/parsers/yaml"
	"github.com/knadh/koanf/providers/file"
	"sync"
)

var k = koanf.New(".")
var sy sync.Once

//func init()  {
//	Init()
//}
func Init() {
	sy.Do(func() {
		err := k.Load(file.Provider("./config/config.yaml"), yaml.Parser())
		if err != nil {
			err = k.Load(file.Provider("../config/config.yaml"), yaml.Parser())
			if err != nil {
				panic("加载配置文件错误" + err.Error())
			}
		}
	})
}

func GetConfig() *koanf.Koanf {
	return k
}
